Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.nvdcve
Class NvdCve20Handler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.owasp.dependencycheck.data.nvdcve.NvdCve20Handler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class NvdCve20Handler

extends org.xml.sax.helpers.DefaultHandler

A SAX Handler that will parse the NVD CVE XML (schema version 2.0).

Author:
  Jeremy Long (jeremy.long@owasp.org)

Nested Class Summary
`protected static class` | `NvdCve20Handler.Element` A simple class to maintain information about the current element while parsing the NVD CVE XML.

Constructor Summary
`NvdCve20Handler()`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endElement(String uri, String localName, String qName)`
`int` | `getTotalNumberOfApplicationEntries()` Get the value of totalNumberOfApplicationEntries.
`int` | `getTotalNumberOfEntries()` Get the value of totalNumberOfEntries.
`void` | `setCpeIndex(CpeIndexWriter index)` Sets the cpe index writer.
`void` | `setCveDB(CveDB db)` Sets the cveDB.
`void` | `setPrevVersionVulnMap(Map<String,List<VulnerableSoftware>> map)` Sets the prevVersionVulnMap.
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NvdCve20Handler

    public NvdCve20Handler()

Method Detail

### getTotalNumberOfEntries

    public int getTotalNumberOfEntries()

  Get the value of totalNumberOfEntries.

  Returns:
    the value of totalNumberOfEntries

### getTotalNumberOfApplicationEntries

    public int getTotalNumberOfApplicationEntries()

  Get the value of totalNumberOfApplicationEntries.

  Returns:
    the value of totalNumberOfApplicationEntries

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

### setCveDB

    public void setCveDB(CveDB db)

  Sets the cveDB.

  Parameters:
    `db` - a reference to the CveDB

### setPrevVersionVulnMap

    public void setPrevVersionVulnMap(Map<String,List<VulnerableSoftware>> map)

  Sets the prevVersionVulnMap.

  Parameters:
    `map` - the map of vulnerable software with previous versions being vulnerable

### setCpeIndex

    public void setCpeIndex(CpeIndexWriter index)

  Sets the cpe index writer.

  Parameters:
    `index` - the CPE Lucene Index

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.